import { TASK_STATUS } from '../../../constants';

/**
 * Token.roleに配置されうる文字列リテラル型
 */
export type TaskStatus = (typeof TASK_STATUS)[keyof typeof TASK_STATUS];

export const isTaskStatus = (arg: string): arg is TaskStatus => {
  const param = arg as TaskStatus;
  if (Object.values(TASK_STATUS).includes(param)) {
    return true;
  }
  return false;
};
